#!/usr/bin/env python
# Test setup script for installing bluez module.
#

from distutils.core import setup, Extension

VERSION = "0.2"

module1 = Extension('_bluetooth',
		    libraries = ['bluetooth'],
            sources = ['src/btmodule.c', 'src/btsdp.c'])

setup (	name = 'pybluez',
       	version =  VERSION,
       	description = 'python wrappers around bluez to allow python developers to use system bluetooth resources. PyBluez works on machines running the GNU/Linux operating system and the bluez bluetooth stack.',
       	author="Albert Huang, Calvin On",
     	author_email="albert@csail.mit.edu, calvinon@mit.edu",
      	url="http://org.csail.mit.edu/pybluez",
       	ext_modules = [module1],
        py_modules = [ 'bluetooth' ] )
