# file: l2capclient.py
# auth: Calvin On <calvinon@csail.mit.edu>
# desc: Demo L2CAP client for bluetooth module.
# $Id: l2capclient.py,v 1.3 2005/04/04 05:02:13 albert Exp $
#
# 03/31/2005: albert - modified to work with new API

from random import randrange
import sys

import bluetooth

# Create the client socket
sock=bluetooth.BluetoothSocket(bluetooth.L2CAP)

if len(sys.argv) < 2:
    print "usage: l2capclient.py <addr>"
    sys.exit(2)

bt_addr=sys.argv[1]

num_packets = randrange(1,20)
size_packet = randrange(1,665)

data = "X"*size_packet

print "trying to connect to %s:1001" % bt_addr

port = 0x1001

sock.connect((bt_addr, port))


print "connected.  type stuff"
while True:
    data = raw_input()
    if(len(data) == 0): break
    sock.send(data)

sock.close()

